/**
 * @date 2019.12.16
 * @author panyanan
 * @information 打印模板
 */
import { Templates } from '../config/template.config';
import * as chalk from 'chalk';
/**
* @date 2019.12.16
* @author panyanan
* @information 打印所有的模板
*/
export default function () {
    const { log } = console;
    const tip = `
    **********************************************
    当你使用create命令时如:
    ${chalk.blueBright('"qj-cli create vue2 hello"')}
    中的${chalk.blueBright('"vue2"')}就指的是下面框架名: vue2, 
    欢迎同学们积极提供框架模板,我们还需要vue2_ts, vue3, vue3_ts,node服务框架等等,
    **********************************************
    `;
    log(`${chalk.green(tip)}`);
    Templates.forEach(template => {
        const { name, desc }  = template;
        log(`   ${chalk.blueBright(name)}: ${chalk.white(desc)}`);
    })
}